// 🐦 Flutter imports:
import 'package:flutter/foundation.dart';

class ThemedPlatform {
  static bool get isWeb {
    return kIsWeb;
  }

  static bool get isAndroid {
    return defaultTargetPlatform == TargetPlatform.android;
  }

  static bool get isIOS {
    return defaultTargetPlatform == TargetPlatform.iOS;
  }

  static bool get isWindows {
    return defaultTargetPlatform == TargetPlatform.windows;
  }

  static bool get isMacOS {
    return defaultTargetPlatform == TargetPlatform.macOS;
  }
}
