// 🐦 Flutter imports:
import "package:flutter/material.dart";

// 📦 Package imports:
import 'package:fluent_ui/fluent_ui.dart' as fluent;

class ThemedProgress extends StatelessWidget {
  final double? progress;
  const ThemedProgress({Key? key, this.progress}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const SizedBox(
      height: 20,
      width: 20,
      child: fluent.ProgressRing(
        strokeWidth: 3,
      ),
    );
  }
}
